Index: /branches/2.0/tools/create_listing_file.php
===================================================================
--- /branches/2.0/tools/create_listing_file.php	(revision 5007)
+++ /branches/2.0/tools/create_listing_file.php	(revision 5008)
@@ -94,5 +94,5 @@
 // ****** Thumbnails generation functionality ****** //
 // Define if images have to be reduced if they are not
-$conf['thumbnail'] = true;
+$conf['thumbnail'] = false;
 
 // Define method to generate thumbnails : 
@@ -184,5 +184,5 @@
 function pwg_check_graphics()
 {
-  pwg_log('>>>>> pwg_check_graphics() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_check_graphics() >>>>>'."\n");
   
   global $conf, $pwg_conf;
@@ -291,5 +291,5 @@
   }
   
-  pwg_log('<<<<< pwg_check_graphics() returns '.var_export($log, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_check_graphics() returns '.var_export($log, TRUE).' <<<<<'."\n");
   return $log;
 }
@@ -304,5 +304,5 @@
 function pwg_close_level($dir_start, $dir_number)
 {
-  pwg_log('>>>>> pwg_close_level($dir_start = '.var_export($dir_start, TRUE).', $dir_number = '.var_export($dir_number, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_close_level($dir_start = '.var_export($dir_start, TRUE).', $dir_number = '.var_export($dir_number, TRUE).') >>>>>'."\n");
   
   $lines ='';
@@ -315,5 +315,5 @@
   while(($dir_number > 0) && ($dir_start >= 0));
   
-  pwg_log('<<<<< pwg_close_level returns '.var_export($lines, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_close_level returns '.var_export($lines, TRUE).' <<<<<'."\n");
   return $lines;
 }
@@ -327,5 +327,5 @@
 function pwg_clean_iptc_value($value)
 {
-  pwg_log('>>>>> pwg_clean_iptc_value ($value = '.var_export($value, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_clean_iptc_value ($value = '.var_export($value, TRUE).') >>>>>'."\n");
   
   // strip leading zeros (weird Kodak Scanner software)
@@ -337,5 +337,5 @@
   $value = str_replace(chr(0x00), ' ', $value);
 
-  pwg_log('<<<<< pwg_clean_iptc_value() returns '.var_export($value, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_clean_iptc_value() returns '.var_export($value, TRUE).' <<<<<'."\n");
   return $value;
 }
@@ -351,5 +351,5 @@
 function pwg_get_iptc_data($filename, $map)
 {
-  pwg_log('>>>>> pwg_get_iptc_data ($filename = '.var_export($filename, TRUE).', $map = '.var_export($map, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_iptc_data ($filename = '.var_export($filename, TRUE).', $map = '.var_export($map, TRUE).') >>>>>'."\n");
   
   $result = array();
@@ -389,5 +389,5 @@
   }
   
-  pwg_log('<<<<< pwg_get_iptc_data() returns '.var_export($result, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_iptc_data() returns '.var_export($result, TRUE).' <<<<<'."\n");
   return $result;
 }
@@ -401,5 +401,5 @@
 function pwg_get_sync_iptc_data($file)
 {
-  pwg_log('>>>>> pwg_get_sync_iptc_data ($file = '.var_export($file, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_sync_iptc_data ($file = '.var_export($file, TRUE).') >>>>>'."\n");
 
   global $conf;
@@ -430,5 +430,5 @@
   $iptc['keywords'] = isset($iptc['keywords']) ? implode(',', array_unique(explode(',', $iptc['keywords']))) : NULL;
 
-  pwg_log('<<<<< pwg_get_sync_iptc_data() returns '.var_export($iptc, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_sync_iptc_data() returns '.var_export($iptc, TRUE).' <<<<<'."\n");
   return $iptc;
 }
@@ -443,5 +443,5 @@
 function pwg_get_representative_ext($file_dir, $file_short)
 {
-  pwg_log('>>>>> pwg_get_representative_ext($file_dir = '.var_export($file_dir, TRUE).', $file_short = '.var_export($file_short, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_representative_ext($file_dir = '.var_export($file_dir, TRUE).', $file_short = '.var_export($file_short, TRUE).') >>>>>'."\n");
   
   global $conf;
@@ -457,5 +457,5 @@
   }
   
-  pwg_log('<<<<< pwg_get_representative_ext() returns '.var_export($rep_ext, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_representative_ext() returns '.var_export($rep_ext, TRUE).' <<<<<'."\n");
   return $rep_ext; 
 }
@@ -470,5 +470,5 @@
 function pwg_get_high($file_dir, $file_base)
 {
-  pwg_log('>>>>> pwg_get_high($file = '.var_export($file_dir, TRUE).', $line = '.var_export($file_base, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_high($file = '.var_export($file_dir, TRUE).', $line = '.var_export($file_base, TRUE).') >>>>>'."\n");
   
   global $conf;
@@ -480,5 +480,5 @@
   }
   
-  pwg_log('<<<<< pwg_get_high() returns '.var_export($high, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_high() returns '.var_export($high, TRUE).' <<<<<'."\n");
   return $high; 
 }
@@ -492,9 +492,9 @@
 function pwg_get_filename_wo_extension($filename)
 {
-  pwg_log('>>>>> _get_filename_wo_extension($filename = '.var_export($filename, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> _get_filename_wo_extension($filename = '.var_export($filename, TRUE).') >>>>>'."\n");
   
   $short_name = substr($filename, 0, strrpos($filename, '.'));
   
-  pwg_log('<<<<< _get_filename_wo_extension() returns '.var_export($short_name, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< _get_filename_wo_extension() returns '.var_export($short_name, TRUE).' <<<<<'."\n");
   return $short_name;
 }
@@ -511,5 +511,5 @@
 function pwg_get_thumbnail_ext($file_dir, $file_short, $file_ext, &$error_log)
 {
-  pwg_log('>>>>> pwg_get_thumbnail_ext($file_dir = '.var_export($file_dir, TRUE).', $file_short = '.var_export($file_short, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_thumbnail_ext($file_dir = '.var_export($file_dir, TRUE).', $file_short = '.var_export($file_short, TRUE).') >>>>>'."\n");
   
   global $conf;
@@ -538,5 +538,5 @@
   }
   
-  pwg_log('<<<<< pwg_get_thumbnail_ext() returns '.var_export($thumb_ext, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_thumbnail_ext() returns '.var_export($thumb_ext, TRUE).' <<<<<'."\n");
   return $thumb_ext; 
 }
@@ -553,5 +553,5 @@
 function pwg_icon_file($file_dir, $file_short, $file_ext)
 {
-  pwg_log('>>>>> pwg_icon_file($file_dir = '.var_export($file_dir, TRUE).', $file_short = '.var_export($file_short, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_icon_file($file_dir = '.var_export($file_dir, TRUE).', $file_short = '.var_export($file_short, TRUE).') >>>>>'."\n");
   
   global $conf, $pwg_conf;
@@ -559,4 +559,10 @@
   $error_log = '';
   
+  // Create thumbnail directory if not exists
+  if (!file_exists($file_dir.'/'.$conf['thumbs']))
+  {
+    mkdir($file_dir.'/'.$conf['thumbs']);
+  }
+
   // Get original properties (width, height)
   if ($image_size = getimagesize($file_dir.'/'.$file_short.'.'.$file_ext))
@@ -684,5 +690,5 @@
   $error_log .= $file_dir.'/'.$file_short.'.'.$file_ext.'</code><br />'."\n";
 
-  pwg_log('<<<<< pwg_icon_file() returns '.var_export($error_log, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_icon_file() returns '.var_export($error_log, TRUE).' <<<<<'."\n");
   return $error_log; 
 }
@@ -697,5 +703,5 @@
 function pwg_scan_file($file_full, &$line)
 {
-  pwg_log('>>>>> pwg_scan_file($file = '.var_export($file_full, TRUE).', $line = '.var_export($line, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_scan_file($file = '.var_export($file_full, TRUE).', $line = '.var_export($line, TRUE).') >>>>>'."\n");
   
   global $conf, $pwg_conf;
@@ -806,5 +812,5 @@
   }
   
-  pwg_log('<<<<< pwg_scan_file() returns '.var_export($error_log, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_scan_file() returns '.var_export($error_log, TRUE).' <<<<<'."\n");
   return $error_log;
 }
@@ -817,9 +823,9 @@
 function pwg_get_level($dir)
 {
-  pwg_log('>>>>> pwg_get_level($dir = '.var_export($dir, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_level($dir = '.var_export($dir, TRUE).') >>>>>'."\n");
   
   $level = substr_count($dir, '/') - 1; // -1 because of ./ at the beginning of path
   
-  pwg_log('<<<<< pwg_get_level() returns '.var_export($level, TRUE).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_level() returns '.var_export($level, TRUE).' <<<<<'."\n");
   return $level;
 }
@@ -833,5 +839,5 @@
 function pwg_get_indent($element_type)
 {
-  pwg_log('>>>>> pwg_get_indent($element_type = '.var_export($element_type, TRUE).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_indent($element_type = '.var_export($element_type, TRUE).') >>>>>'."\n");
   
   $level = substr_count($_SESSION['scan_list_fold'][0], '/') - 1; // because of ./ at the beginning
@@ -860,5 +866,5 @@
   }
   
-  pwg_log('<<<<< pwg_get_indent() returns '.var_export(strlen($indent), TRUE).' spaces <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_indent() returns '.var_export(strlen($indent), TRUE).' spaces <<<<<'."\n");
   return $indent;
 }
@@ -872,5 +878,5 @@
 function pwg_protect_directories($directory)
 {
-  pwg_log('>>>>> pwg_protect_directories($directory = '.var_export($directory, true).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_protect_directories($directory = '.var_export($directory, true).') >>>>>'."\n");
   
   global $conf;
@@ -906,5 +912,5 @@
   }
   
-  pwg_log('<<<<< pwg_protect_directories() returns '.var_export($error_log, true).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_protect_directories() returns '.var_export($error_log, true).' <<<<<'."\n");
   return $error_log;
 }
@@ -918,9 +924,9 @@
 function pwg_get_file_extension($file)
 {
-  pwg_log('>>>>> pwg_get_file_extension($file = '.var_export($file, true).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_file_extension($file = '.var_export($file, true).') >>>>>'."\n");
   
   $ext = substr(strrchr($file, '.'), 1, strlen ($file));
   
-  pwg_log('<<<<< pwg_get_file_extension() returns '.var_export($ext, true).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_file_extension() returns '.var_export($ext, true).' <<<<<'."\n");
   return $ext;
 }
@@ -934,5 +940,5 @@
 function pwg_get_file_list($directory)
 {
-  pwg_log('>>>>> pwg_get_file_list($directory = '.var_export($directory, true).') >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_file_list($directory = '.var_export($directory, true).') >>>>>'."\n");
   
   global $conf, $pwg_conf;
@@ -950,5 +956,5 @@
           // The file pointed is a regular file with a supported extension
           array_push($_SESSION['scan_list_file'], $directory.'/'.$file);
-          pwg_log('--->> Push in $_SESSION[scan_list_file] value "'.$directory.'/'.$file.'"'."\n");
+          //~ pwg_log('--->> Push in $_SESSION[scan_list_file] value "'.$directory.'/'.$file.'"'."\n");
           if (!preg_match('/^[a-zA-Z0-9-_.]+$/', $file))
           {
@@ -966,5 +972,5 @@
           // The file pointed is a directory but neither system directory nor reserved by PWG
           array_push($_SESSION['scan_list_fold'], $directory.'/'.$file);
-          pwg_log('--->> Push in $_SESSION[scan_list_fold] value "'.$directory.'/'.$file.'"'."\n");
+          //~ pwg_log('--->> Push in $_SESSION[scan_list_fold] value "'.$directory.'/'.$file.'"'."\n");
           if (!preg_match('/^[a-zA-Z0-9-_.]+$/', $file))
           {
@@ -990,5 +996,5 @@
   closedir($dir);
   
-  pwg_log('<<<<< pwg_get_file_list() returns '.var_export($errorLog, true).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_file_list() returns '.var_export($errorLog, true).' <<<<<'."\n");
 
   return $errorLog;
@@ -1004,5 +1010,5 @@
 function pwg_get_moment()
 {
-  pwg_log('>>>>> pwg_get_moment() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_get_moment() >>>>>'."\n");
   
   $t1 = explode(' ', microtime());
@@ -1010,5 +1016,5 @@
   $t2 = $t1[1].'.'.$t2[1];
 
-  pwg_log('<<<<< pwg_get_moment() returns '.var_export($t2, true).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_get_moment() returns '.var_export($t2, true).' <<<<<'."\n");
   return $t2;
 }
@@ -1023,5 +1029,5 @@
   global $pwg_conf;
 
-  pwg_log('>>>>> pwg_referer_is_me() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_referer_is_me() >>>>>'."\n");
   
   $response = false;
@@ -1032,5 +1038,5 @@
   }
 
-  pwg_log('<<<<< pwg_referer_is_me() returns '.var_export($response, true).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_referer_is_me() returns '.var_export($response, true).' <<<<<'."\n");
   return $response;
 }
@@ -1042,5 +1048,5 @@
 function pwg_test_start()
 {
-  pwg_log('>>>>> pwg_test_start() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_test_start() >>>>>'."\n");
 
   global $g_message, $conf;
@@ -1063,10 +1069,10 @@
   $_SESSION['scan_step'] = 'exit';
   
-  pwg_log('<<<<< pwg_test_start() <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_test_start() <<<<<'."\n");
 }
 
 function pwg_test_exit()
 {
-  pwg_log('>>>>> pwg_test_exit() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_test_exit() >>>>>'."\n");
 
   global $g_header, $g_message, $g_footer, $conf, $pwg_conf;
@@ -1127,10 +1133,10 @@
   }
   
-  pwg_log('<<<<< pwg_test_exit() <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_test_exit() <<<<<'."\n");
 }
 
 function pwg_clean_start()
 {
-  pwg_log('>>>>> pwg_clean_start() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_clean_start() >>>>>'."\n");
   
   global $g_message;
@@ -1147,10 +1153,10 @@
   $_SESSION['scan_step'] = 'exit';
   
-  pwg_log('<<<<< pwg_clean_start() <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_clean_start() <<<<<'."\n");
 }
 
 function pwg_clean_exit()
 {
-  pwg_log('>>>>> pwg_clean_exit() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_clean_exit() >>>>>'."\n");
 
   global $g_header, $g_message, $g_footer, $conf, $pwg_conf;
@@ -1181,11 +1187,11 @@
   }
   
-  pwg_log('<<<<< pwg_clean_exit() <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_clean_exit() <<<<<'."\n");
 }
 
 function pwg_generate_start()
 {
-  pwg_log('>>>>> pwg_generate_start() >>>>>'."\n");
-  pwg_log("GENARATE start >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE start >>>\n");
+  //~ pwg_log('>>>>> pwg_generate_start() >>>>>'."\n");
+  //~ pwg_log("GENARATE start >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE start >>>\n");
 
   global $g_listing, $pwg_conf, $conf;
@@ -1235,12 +1241,12 @@
   }
   
-  pwg_log("GENARATE start <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE start <<<\n");
-  pwg_log('<<<<< pwg_generate_start() <<<<<'."\n");
+  //~ pwg_log("GENARATE start <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE start <<<\n");
+  //~ pwg_log('<<<<< pwg_generate_start() <<<<<'."\n");
 }
 
 function pwg_generate_list()
 {
-  pwg_log('>>>>> pwg_generate_list() >>>>>'."\n");
-  pwg_log("GENARATE list >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE list >>>\n");
+  //~ pwg_log('>>>>> pwg_generate_list() >>>>>'."\n");
+  //~ pwg_log("GENARATE list >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE list >>>\n");
   
   global $g_listing;
@@ -1263,12 +1269,12 @@
   $_SESSION['scan_step'] = 'scan';
   
-  pwg_log("GENARATE list <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE list <<<\n");
-  pwg_log('<<<<< pwg_generate_list() <<<<<'."\n");
+  //~ pwg_log("GENARATE list <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE list <<<\n");
+  //~ pwg_log('<<<<< pwg_generate_list() <<<<<'."\n");
 }
 
 function pwg_generate_scan()
 {
-  pwg_log('>>>>> pwg_generate_scan() >>>>>'."\n");
-  pwg_log("GENARATE scan >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE scan >>>\n");
+  //~ pwg_log('>>>>> pwg_generate_scan() >>>>>'."\n");
+  //~ pwg_log("GENARATE scan >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE scan >>>\n");
   
   global $g_listing, $conf;
@@ -1283,5 +1289,5 @@
       fwrite($g_listing, $line);
     }
-    pwg_log('---<< Pull of $_SESSION[scan_list_file] value "'.$_SESSION['scan_list_file'][0].'"'."\n");
+    //~ pwg_log('---<< Pull of $_SESSION[scan_list_file] value "'.$_SESSION['scan_list_file'][0].'"'."\n");
     array_shift($_SESSION['scan_list_file']);
     $_SESSION['scan_cnt_file']++;
@@ -1293,12 +1299,12 @@
   }
   
-  pwg_log("GENERATE scan <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE scan <<<\n");
-  pwg_log('<<<<< pwg_generate_scan() <<<<<'."\n");
+  //~ pwg_log("GENERATE scan <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE scan <<<\n");
+  //~ pwg_log('<<<<< pwg_generate_scan() <<<<<'."\n");
 }
 
 function pwg_generate_prot()
 {
-  pwg_log('>>>>> pwg_generate_prot() >>>>>'."\n");
-  pwg_log("GENARATE prot >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE prot >>>\n");
+  //~ pwg_log('>>>>> pwg_generate_prot() >>>>>'."\n");
+  //~ pwg_log("GENARATE prot >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE prot >>>\n");
   
   global $conf, $g_listing;
@@ -1317,5 +1323,5 @@
   if (isset($_SESSION['scan_list_fold'][1]))
   {
-    pwg_log('---<< Pull of $_SESSION[scan_list_fold] value "'.$_SESSION['scan_list_fold'][0].'"'."\n");
+    //~ pwg_log('---<< Pull of $_SESSION[scan_list_fold] value "'.$_SESSION['scan_list_fold'][0].'"'."\n");
     array_shift($_SESSION['scan_list_fold']);
     $_SESSION['scan_cnt_fold']++;
@@ -1342,12 +1348,12 @@
   }
 
-  pwg_log("GENERATE prot <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE prot <<<\n");
-  pwg_log('<<<<< pwg_generate_prot() <<<<<'."\n");
+  //~ pwg_log("GENERATE prot <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE prot <<<\n");
+  //~ pwg_log('<<<<< pwg_generate_prot() <<<<<'."\n");
 }
 
 function pwg_generate_stop()
 {
-  pwg_log('>>>>> pwg_generate_stop() >>>>>'."\n");
-  pwg_log("GENARATE stop >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE stop >>>\n");
+  //~ pwg_log('>>>>> pwg_generate_stop() >>>>>'."\n");
+  //~ pwg_log("GENARATE stop >>>\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE stop >>>\n");
   
   global $pwg_conf, $g_listing, $g_header, $g_message, $g_footer;
@@ -1370,6 +1376,6 @@
   $_SESSION['scan_step'] = 'exit';
   
-  pwg_log("GENARATE stop <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE stop <<<\n");
-  pwg_log('<<<<< pwg_generate_stop() <<<<<'."\n");
+  //~ pwg_log("GENARATE stop <<<\n".var_export($_SESSION['scan_list_fold'], true)."\n".var_export($_SESSION['scan_list_file'], true)."\nGENERATE stop <<<\n");
+  //~ pwg_log('<<<<< pwg_generate_stop() <<<<<'."\n");
 }
 
@@ -1385,5 +1391,5 @@
 function pwg_continue()
 {
-  pwg_log('>>>>> pwg_continue() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_continue() >>>>>'."\n");
   
   global $conf, $pwg_conf, $g_refresh, $g_header, $g_message, $g_footer, $start_time;
@@ -1443,5 +1449,5 @@
     }
   }
-  pwg_log('<<<<< pwg_continue() returns '.var_export($return, true).' <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_continue() returns '.var_export($return, true).' <<<<<'."\n");
   
   return $return;
@@ -1459,5 +1465,5 @@
 function pwg_init()
 {
-  pwg_log('>>>>> pwg_init() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_init() >>>>>'."\n");
 
   global $g_message, $g_listing, $g_footer, $conf, $pwg_conf, $start_time;
@@ -1476,5 +1482,5 @@
       $g_footer   = '<a href="'.$pwg_conf['this_url'].'" title="Main menu"><img src="'.$pwg_conf['icon_dir'].'up.png" /></a>'."\n";
       $_SESSION['scan_step'] = 'exit';
-      pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
+      //~ pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
       return;
     }
@@ -1501,5 +1507,5 @@
           $g_footer   = '<a href="'.$pwg_conf['this_url'].'" title="Main menu"><img src="'.$pwg_conf['icon_dir'].'up.png" /></a>'."\n";
           $_SESSION['scan_step'] = 'exit';
-          pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
+          //~ pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
           return;
         }
@@ -1518,5 +1524,5 @@
       $g_footer   = '<a href="'.$pwg_conf['this_url'].'" title="Main menu"><img src="'.$pwg_conf['icon_dir'].'up.png" /></a>'."\n";
       $_SESSION['scan_step'] = 'exit';
-      pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
+      //~ pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
       return;
     }
@@ -1549,5 +1555,5 @@
       $g_footer   = '<a href="'.$pwg_conf['this_url'].'" title="Main menu"><img src="'.$pwg_conf['icon_dir'].'up.png" /></a>'."\n";
       $_SESSION['scan_step'] = 'exit';
-      pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
+      //~ pwg_log('<<<<< pwg_init() failure <<<<<'."\n");
       return;
     }
@@ -1569,5 +1575,5 @@
   }
   
-  pwg_log('<<<<< pwg_init() success <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_init() success <<<<<'."\n");
 }
 
@@ -1582,5 +1588,5 @@
 function pwg_exit()
 {
-  pwg_log('>>>>> pwg_exit() >>>>>'."\n");
+  //~ pwg_log('>>>>> pwg_exit() >>>>>'."\n");
   
   global $g_listing;
@@ -1613,5 +1619,5 @@
   }
   
-  pwg_log('<<<<< pwg_exit() <<<<<'."\n");
+  //~ pwg_log('<<<<< pwg_exit() <<<<<'."\n");
 }
 