Index: trunk/admin/template/goto/user_list.tpl
===================================================================
--- trunk/admin/template/goto/user_list.tpl	(revision 4455)
+++ trunk/admin/template/goto/user_list.tpl	(revision 5021)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>{'title_liste_users'|@translate}</h2>
+  <h2>{'User list'|@translate}</h2>
 </div>
 
@@ -63,8 +63,8 @@
       <td>&nbsp;</td>
       <td>{'Username'|@translate}</td>
-      <td>{'user_status'|@translate}</td>
+      <td>{'User status'|@translate}</td>
       <td>{'Email address'|@translate}</td>
       <td>{'Groups'|@translate}</td>
-      <td>{'properties'|@translate}</td>
+      <td>{'Properties'|@translate}</td>
       {if not empty($plugin_user_list_column_titles)}
       {foreach from=$plugin_user_list_column_titles item=title}
@@ -88,5 +88,5 @@
     {/foreach}
     <td style="text-align:center;">
-      <a href="{$user.U_PERM}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/permissions.png" class="button" style="border:none" alt="{'permissions'|@translate}" title="{'permissions'|@translate}"></a>
+      <a href="{$user.U_PERM}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/Permissions.png" class="button" style="border:none" alt="{'Permissions'|@translate}" title="{'Permissions'|@translate}"></a>
       <a href="{$user.U_PROFILE}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" class="button" style="border:none" alt="{'Profile'|@translate}" title="{'Profile'|@translate}"></a>
       {foreach from=$user.plugin_actions item=data}
@@ -124,5 +124,5 @@
     {if isset($adviser)}
     <tr>
-      <td>{'adviser'|@translate}</td>
+      <td>{'Adviser'|@translate}</td>
       <td>
         <label><input type="radio" name="adviser" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -163,10 +163,10 @@
 {* Properties *}
 <fieldset>
-  <legend>{'properties'|@translate}</legend>
+  <legend>{'Properties'|@translate}</legend>
 
   <table>
 
     <tr>
-      <td>{'enabled_high'|@translate}</td>
+      <td>{'High definition enabled'|@translate}</td>
       <td>
         <label><input type="radio" name="enabled_high" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -197,5 +197,5 @@
 <table>
   <tr>
-    <td>{'nb_image_per_row'|@translate}</td>
+    <td>{'Number of images per row'|@translate}</td>
     <td>
       <label><input type="radio" name="nb_image_line_action" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -207,5 +207,5 @@
 
   <tr>
-    <td>{'nb_row_per_page'|@translate}</td>
+    <td>{'Number of rows per page'|@translate}</td>
     <td>
       <label><input type="radio" name="nb_line_page_action" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -217,5 +217,5 @@
 
   <tr>
-    <td>{'theme'|@translate}</td>
+    <td>{'Interface theme'|@translate}</td>
     <td>
       <label><input type="radio" name="template_action" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -228,5 +228,5 @@
 
   <tr>
-    <td>{'language'|@translate}</td>
+    <td>{'Language'|@translate}</td>
     <td>
       <label><input type="radio" name="language_action" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -239,5 +239,5 @@
 
   <tr>
-    <td>{'recent_period'|@translate}</td>
+    <td>{'Recent period'|@translate}</td>
     <td>
       <label><input type="radio" name="recent_period_action" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -249,5 +249,5 @@
 
   <tr>
-    <td>{'auto_expand'|@translate}</td>
+    <td>{'Expand all categories'|@translate}</td>
     <td>
       <label><input type="radio" name="expand" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -259,5 +259,5 @@
 
   <tr>
-    <td>{'show_nb_comments'|@translate}</td>
+    <td>{'Show number of comments'|@translate}</td>
     <td>
       <label><input type="radio" name="show_nb_comments" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -269,5 +269,5 @@
 
   <tr>
-    <td>{'show_nb_hits'|@translate}</td>
+    <td>{'Show number of hits'|@translate}</td>
     <td>
       <label><input type="radio" name="show_nb_hits" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -279,5 +279,5 @@
 
   <tr>
-    <td>{'maxwidth'|@translate}</td>
+    <td>{'Maximum width of the pictures'|@translate}</td>
     <td>
       <label><input type="radio" name="maxwidth_action" value="leave" checked="checked"> {'leave'|@translate}</label>
@@ -291,5 +291,5 @@
 
   <tr>
-    <td>{'maxheight'|@translate}</td>
+    <td>{'Maximum height of the pictures'|@translate}</td>
     <td>
       <label><input type="radio" name="maxheight_action" value="leave" checked="checked"> {'leave'|@translate}</label>