Index: trunk/language/fr_FR/LC_MESSAGES/messages.po
===================================================================
--- trunk/language/fr_FR/LC_MESSAGES/messages.po	(revision 5021)
+++ trunk/language/fr_FR/LC_MESSAGES/messages.po	(revision 5022)
@@ -83,5 +83,7 @@
 
 msgid "Administrator, webmaster and special user cannot use this method"
-msgstr "Administrateur, webmestre et utilisateur spécial ne peuvent pas utiliser cette méthode"
+msgstr ""
+"Administrateur, webmestre et utilisateur spécial ne peuvent pas utiliser "
+"cette méthode"
 
 msgid "Advanced features"
@@ -273,9 +275,18 @@
 msgstr "Statut de l'utilisateur \"%s\" mis à jour"
 
-msgid "The version of %s [%s] installed is not compatible with the version required [%s]"
-msgstr "La version de %s [%s] installée n'est pas compatible avec la version requise [%s]"
-
-msgid "You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all"
-msgstr "Vous devez mettre à jour votre système pour profiter pleinement de l'application sinon l'application ne fonctionnera pas correctement, voire pas du tout"
+msgid ""
+"The version of %s [%s] installed is not compatible with the version required "
+"[%s]"
+msgstr ""
+"La version de %s [%s] installée n'est pas compatible avec la version requise "
+"[%s]"
+
+msgid ""
+"You need to upgrade your system to take full advantage of the application "
+"else the application will not work correctly, or not at all"
+msgstr ""
+"Vous devez mettre à jour votre système pour profiter pleinement de "
+"l'application sinon l'application ne fonctionnera pas correctement, voire "
+"pas du tout"
 
 msgid "caddie"
@@ -307,5 +318,7 @@
 
 msgid "Authorize users to add comments on selected categories"
-msgstr "Autoriser les utilisateurs à ajouter des commentaires dans les catégories sélectionnées"
+msgstr ""
+"Autoriser les utilisateurs à ajouter des commentaires dans les catégories "
+"sélectionnées"
 
 msgid "Categories"
@@ -326,5 +339,6 @@
 #, c-format
 msgid "Category elements associated to the following categories: %s"
-msgstr "Les éléments de la catégorie ont été associés aux catégories suivantes : %s"
+msgstr ""
+"Les éléments de la catégorie ont été associés aux catégories suivantes : %s"
 
 msgid "Category results for"
@@ -371,5 +385,7 @@
 
 msgid "Check for upgrade failed for unknown reasons."
-msgstr "La vérification de la dernière version sur le serveur a échouée pour une raison inconnue."
+msgstr ""
+"La vérification de la dernière version sur le serveur a échouée pour une "
+"raison inconnue."
 
 msgid "Choose an image"
@@ -408,34 +424,42 @@
 msgstr "Votre commentaire a été enregistré"
 
-msgid "Anti-flood system : please wait for a moment before trying to post another comment"
-msgstr "Système anti-abus : merci de patienter avant d'ajouter un nouveau commentaire"
+msgid ""
+"Anti-flood system : please wait for a moment before trying to post another "
+"comment"
+msgstr ""
+"Système anti-abus : merci de patienter avant d'ajouter un nouveau commentaire"
 
 msgid "comment date"
 msgstr "date du commentaire"
 
-msgid "Your comment has NOT been registered because it did not pass the validation rules"
-msgstr "Votre commentaire n'a pas été enregistré parce qu'il ne vérifie pas les règles de validation"
+msgid ""
+"Your comment has NOT been registered because it did not pass the validation "
+"rules"
+msgstr ""
+"Votre commentaire n'a pas été enregistré parce qu'il ne vérifie pas les "
+"règles de validation"
+
+msgid "Add a comment"
+msgstr "Ajouter un commentaire"
+
+msgid "Comments for all"
+msgstr "Commentaires pour tous"
+
+msgid "An administrator must authorize your comment before it is visible."
+msgstr ""
+"Un administrateur doit valider votre commentaire afin qu'il soit visible."
+
+msgid "This login is already used by another user"
+msgstr "Ce nom d'utilisateur est déjà pris"
+
+msgid "Complete RSS feed (images, comments)"
+msgstr "Flux RSS complet (images, commentaires)"
+
+msgid "Access type"
+msgstr "Type d'accès"
 
 msgid "Comments"
 msgstr "Commentaires"
 
-msgid "Add a comment"
-msgstr "Ajouter un commentaire"
-
-msgid "Comments for all"
-msgstr "Commentaires pour tous"
-
-msgid "An administrator must authorize your comment before it is visible."
-msgstr "Un administrateur doit valider votre commentaire afin qu'il soit visible."
-
-msgid "This login is already used by another user"
-msgstr "Ce nom d'utilisateur est déjà pris"
-
-msgid "Complete RSS feed (images, comments)"
-msgstr "Flux RSS complet (images, commentaires)"
-
-msgid "Access type"
-msgstr "Type d'accès"
-
 msgid "Information data registered in database"
 msgstr "Informations enregistrées dans la base de données"
@@ -484,5 +508,7 @@
 
 msgid "The number of comments a page must be between 5 and 50 included."
-msgstr "Le nombre de commentaires d'utilisateurs par page doit être compris entre 5 et 50."
+msgstr ""
+"Le nombre de commentaires d'utilisateurs par page doit être compris entre 5 "
+"et 50."
 
 msgid "Upload"
@@ -501,6 +527,14 @@
 msgstr "Controverse"
 
-msgid "Copy the text in pink between hyphens and paste it into the file \"include/config_database.inc.php\"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)]]"
-msgstr "Copiez le texte en rose entre les tirets et collez-le dans le fichier config_database.inc.php qui se trouve dans le répertoire \"include\" à la base de l'endroit où vous avez installé Piwigo (le fichier config_database.inc.php ne doit comporter QUE ce qui est en rose entre les tirets, aucun retour à la ligne ou espace n'est autorisé)"
+msgid ""
+"Copy the text in pink between hyphens and paste it into the file \"include/"
+"config_database.inc.php\"(Warning : config_database.inc.php must only "
+"contain what is in pink, no line return or space character)"
+msgstr ""
+"Copiez le texte en rose entre les tirets et collez-le dans le fichier "
+"config_database.inc.php qui se trouve dans le répertoire \"include\" à la "
+"base de l'endroit où vous avez installé Piwigo (le fichier config_database."
+"inc.php ne doit comporter QUE ce qui est en rose entre les tirets, aucun "
+"retour à la ligne ou espace n'est autorisé)"
 
 msgid "Create a new account"
@@ -540,6 +574,10 @@
 msgstr "Désactiver"
 
-msgid "As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:"
-msgstr "Par précaution, les plugins suivants ont été désactivés. Vérifiez s'il existe des mises à jour avant de les réactiver:"
+msgid ""
+"As a precaution, following plugins have been deactivated. You must check for "
+"plugins upgrade before reactiving them:"
+msgstr ""
+"Par précaution, les plugins suivants ont été désactivés. Vérifiez s'il "
+"existe des mises à jour avant de les réactiver:"
 
 msgid "Accelerate diaporama speed"
@@ -725,5 +763,6 @@
 
 msgid "Email admins when a comment requires validation"
-msgstr "Notifier les administrateurs quand un commentaire requiert leur validation"
+msgstr ""
+"Notifier les administrateurs quand un commentaire requiert leur validation"
 
 msgid "Email admins when a new user registers"
@@ -808,5 +847,6 @@
 
 msgid "The gallery is locked for maintenance. Please, come back later."
-msgstr "La galerie est verrouillée pour cause de maintenance. Revenir plus tard."
+msgstr ""
+"La galerie est verrouillée pour cause de maintenance. Revenir plus tard."
 
 msgid "Gallery title"
@@ -841,5 +881,6 @@
 
 msgid "The name of a group must not contain \" or ' or be empty."
-msgstr "Le nom du groupe ne doit pas contenir \" ou ' et ne doit pas être vide."
+msgstr ""
+"Le nom du groupe ne doit pas contenir \" ou ' et ne doit pas être vide."
 
 msgid "This name is already used by another group."
@@ -873,6 +914,10 @@
 msgstr "L'invité ne peut pas être supprimé"
 
-msgid "Bad status for user \"guest\", using default status. Please notify the webmaster."
-msgstr "Statut de l'utilisateur \"guest\" non conforme, utilisation du statut par défaut. Veuillez prévenir le webmestre."
+msgid ""
+"Bad status for user \"guest\", using default status. Please notify the "
+"webmaster."
+msgstr ""
+"Statut de l'utilisateur \"guest\" non conforme, utilisation du statut par "
+"défaut. Veuillez prévenir le webmestre."
 
 msgid "Guests"
@@ -962,17 +1007,31 @@
 msgstr "Installation"
 
-msgid "The configuration of Piwigo is finished, here is the next step<br><br>\n* go to the identification page and use the login/password given for webmaster<br>\n* this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories"
-msgstr "La configuration de l'application s'est correctement déroulée, place à la prochaine étape<br><br>"
-"* allez sur la page d'identification et connectez-vous avec le pseudo donné pour le webmaster<br>"
-"* celui-ci vous permet d'accéder à la partie administration et aux instructions pour placer les images dans les répertoires."
-
-msgid "Need help ? Ask your question on <a href=\"%s\">Piwigo message board</a>."
-msgstr "Besoin d'aide ? Posez votre question sur le <a href=\"%s\">forum de Piwigo</a>."
+msgid ""
+"The configuration of Piwigo is finished, here is the next step<br><br>\n"
+"* go to the identification page and use the login/password given for "
+"webmaster<br>\n"
+"* this login will enable you to access to the administration panel and to "
+"the instructions in order to place pictures in your directories"
+msgstr ""
+"La configuration de l'application s'est correctement déroulée, place à la "
+"prochaine étape<br><br>* allez sur la page d'identification et connectez-"
+"vous avec le pseudo donné pour le webmaster<br>* celui-ci vous permet "
+"d'accéder à la partie administration et aux instructions pour placer les "
+"images dans les répertoires."
+
+msgid ""
+"Need help ? Ask your question on <a href=\"%s\">Piwigo message board</a>."
+msgstr ""
+"Besoin d'aide ? Posez votre question sur le <a href=\"%s\">forum de Piwigo</"
+"a>."
 
 msgid "Webmaster login"
 msgstr "Administrateur"
 
-msgid "It will be shown to the visitors. It is necessary for website administration"
-msgstr "Cet identifiant apparaîtra à tous vos visiteurs. Il vous sert pour administrer le site"
+msgid ""
+"It will be shown to the visitors. It is necessary for website administration"
+msgstr ""
+"Cet identifiant apparaîtra à tous vos visiteurs. Il vous sert pour "
+"administrer le site"
 
 msgid "Instructions"
@@ -1180,9 +1239,15 @@
 msgstr "Le nombre de lignes par page doit être un entier non nul"
 
-msgid "Prepared time for list of users to send mail is limited. Others users are not listed."
-msgstr "Le temps de préparation de la liste des utilisateurs pour l'envoi est limité. Les autres utilisateurs ne sont pas listés."
+msgid ""
+"Prepared time for list of users to send mail is limited. Others users are "
+"not listed."
+msgstr ""
+"Le temps de préparation de la liste des utilisateurs pour l'envoi est "
+"limité. Les autres utilisateurs ne sont pas listés."
 
 msgid "Time to send mail is limited. Others mails are skipped."
-msgstr "Le temps d'envoi des mails est limité. Les autres envois de mail ont été ignorés."
+msgstr ""
+"Le temps d'envoi des mails est limité. Les autres envois de mail ont été "
+"ignorés."
 
 msgid "To send ?"
@@ -1210,7 +1275,13 @@
 msgstr "Rendez-vous sur "
 
+msgid "."
+msgstr ""
+
 msgid "Hello "
 msgstr "Bonjour "
 
+msgid ","
+msgstr ""
+
 msgid "New elements were added "
 msgstr "De nouveaux éléments ont été ajoutés "
@@ -1228,9 +1299,12 @@
 msgstr "[NBM] Problèmes ou de questions"
 
-msgid "If you encounter problems or have any question, please send a message to "
+msgid ""
+"If you encounter problems or have any question, please send a message to "
 msgstr "En cas de problèmes ou de questions, envoyer un mail à "
 
 msgid "The webmaster has subscribed you to receiving notifications by mail."
-msgstr "Vous venez d'être inscrit par le webmestre du site pour recevoir la notification par mail."
+msgstr ""
+"Vous venez d'être inscrit par le webmestre du site pour recevoir la "
+"notification par mail."
 
 msgid "You have subscribed to receiving notifications by mail."
@@ -1240,9 +1314,14 @@
 msgstr "Pour vous inscrire"
 
-msgid "The webmaster has unsubscribed you from receiving notifications by mail."
-msgstr "Vous venez d'être désinscrit par le webmestre du site pour ne plus recevoir la notification par mail."
+msgid ""
+"The webmaster has unsubscribed you from receiving notifications by mail."
+msgstr ""
+"Vous venez d'être désinscrit par le webmestre du site pour ne plus recevoir "
+"la notification par mail."
 
 msgid "You have unsubscribed from receiving notifications by mail."
-msgstr "Vous venez de vous désinscrire pour ne plus recevoir la notification par mail."
+msgstr ""
+"Vous venez de vous désinscrire pour ne plus recevoir la notification par "
+"mail."
 
 msgid "To unsubscribe"
@@ -1270,9 +1349,15 @@
 msgstr "Il n'y a pas d'utilisateur à notifier par mail."
 
-msgid "Subscribers could be listed (available) only if there is new elements to notify."
-msgstr "Un utilisateur est à notifier si de nouveaux éléments sont disponibles pour cet utilisateur."
+msgid ""
+"Subscribers could be listed (available) only if there is new elements to "
+"notify."
+msgstr ""
+"Un utilisateur est à notifier si de nouveaux éléments sont disponibles pour "
+"cet utilisateur."
 
 msgid "Anyway only webmasters can see this tab and never administrators."
-msgstr "Il se peut aussi qu'il n'y ait aucun utilisateur inscrit (seul le webmaster a accès à cet onglet)."
+msgstr ""
+"Il se peut aussi qu'il n'y ait aucun utilisateur inscrit (seul le webmaster "
+"a accès à cet onglet)."
 
 msgid "No user to send notifications by mail."
@@ -1292,5 +1377,7 @@
 
 msgid "Processing treatment.Please wait..."
-msgstr "Traitement en cours.\nVeuillez patienter..."
+msgstr ""
+"Traitement en cours.\n"
+"Veuillez patienter..."
 
 msgid "Continue processing treatment"
@@ -1355,5 +1442,7 @@
 
 msgid "Warning: subscribing or unsubscribing will send mails to users"
-msgstr "Attention, l'inscription ou la désincription entraine l'envoi de mail aux utilisateurs concernés"
+msgstr ""
+"Attention, l'inscription ou la désincription entraine l'envoi de mail aux "
+"utilisateurs concernés"
 
 msgid "Number of rows per page"
@@ -1409,6 +1498,10 @@
 msgstr "Note: seules les photos ajoutées via pLoader peuvent être supprimées"
 
-msgid "Note you can change your configuration by yourself and restart Piwigo after that."
-msgstr "Notez que vous pouvez changer vous-même la configuration PHP et re-lancer Piwigo après."
+msgid ""
+"Note you can change your configuration by yourself and restart Piwigo after "
+"that."
+msgstr ""
+"Notez que vous pouvez changer vous-même la configuration PHP et re-lancer "
+"Piwigo après."
 
 msgid "nothing"
@@ -1442,6 +1535,10 @@
 msgstr "Seules les catégories privées sont listées"
 
-msgid "Only thumbnails prefix and webmaster mail address have been saved from previous configuration"
-msgstr "Seuls le préfixe des miniatures et l'adresse email du webmestre ont étés sauvegardés de la configuration précédente"
+msgid ""
+"Only thumbnails prefix and webmaster mail address have been saved from "
+"previous configuration"
+msgstr ""
+"Seuls le préfixe des miniatures et l'adresse email du webmestre ont étés "
+"sauvegardés de la configuration précédente"
 
 msgid "Operating system"
@@ -1494,5 +1591,7 @@
 
 msgid "Password confirmation is missing. Please confirm the chosen password."
-msgstr "La confirmation du mot de passe manque. Veuillez confirmer le mot de passe choisi."
+msgstr ""
+"La confirmation du mot de passe manque. Veuillez confirmer le mot de passe "
+"choisi."
 
 msgid "Password forgotten"
@@ -1508,6 +1607,10 @@
 msgstr "Chemin"
 
-msgid "Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem."
-msgstr "Veuillez effectuer une maintenance dans [Administration>Spéciales>Maintenance] si vous rencontrez des problèmes."
+msgid ""
+"Perform a maintenance check in [Administration>Specials>Maintenance] if you "
+"encounter any problem."
+msgstr ""
+"Veuillez effectuer une maintenance dans "
+"[Administration>Spéciales>Maintenance] si vous rencontrez des problèmes."
 
 msgid "period"
@@ -1523,6 +1626,11 @@
 msgstr "Historique des liens permanents"
 
-msgid "The permalink name must be composed of a-z, A-Z, 0-9, \"-\", \"_\" or \"/\". It must not be numeric or start with number followed by \"-\""
-msgstr "Le lien permanent ne doit contenir des caractères que parmi \"a-zA-Z0-9\", \"-\", \"_\" ou \"/\". Il ne doit pas être numérique ou commencer par un nombre suivi par \"-\""
+msgid ""
+"The permalink name must be composed of a-z, A-Z, 0-9, \"-\", \"_\" or \"/\". "
+"It must not be numeric or start with number followed by \"-\""
+msgstr ""
+"Le lien permanent ne doit contenir des caractères que parmi \"a-zA-Z0-9\", "
+"\"-\", \"_\" ou \"/\". Il ne doit pas être numérique ou commencer par un "
+"nombre suivi par \"-\""
 
 msgid "Permalinks"
@@ -1530,6 +1638,10 @@
 
 #, c-format
-msgid "Permalink %s has been previously used by category %s. Delete from the permalink history first"
-msgstr "Le lien permanent %s a été utilisé précédemment par la catégorie %s. Veuillez l'effacer de l'historique des liens permanents"
+msgid ""
+"Permalink %s has been previously used by category %s. Delete from the "
+"permalink history first"
+msgstr ""
+"Le lien permanent %s a été utilisé précédemment par la catégorie %s. "
+"Veuillez l'effacer de l'historique des liens permanents"
 
 #, c-format
@@ -1576,6 +1688,10 @@
 msgstr "Aide de Piwigo"
 
-msgid "Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file."
-msgstr "Piwigo va essayer de passer en PHP 5 en créant ou en modifiant le fichier .htaccess."
+msgid ""
+"Piwigo may try to switch your configuration to PHP 5 by creating or "
+"modifying a .htaccess file."
+msgstr ""
+"Piwigo va essayer de passer en PHP 5 en créant ou en modifiant le fichier ."
+"htaccess."
 
 msgid "Piwigo version"
@@ -1604,5 +1720,7 @@
 
 msgid "Please check \"plugins\" folder and sub-folders permissions (CHMOD)."
-msgstr "Vérifiez les permissions du dossier \"plugins\" et de ses sous-dossiers (CHMOD)."
+msgstr ""
+"Vérifiez les permissions du dossier \"plugins\" et de ses sous-dossiers "
+"(CHMOD)."
 
 msgid "Can't download archive."
@@ -1612,7 +1730,4 @@
 msgstr "Plugins à jour"
 
-msgid "Download file"
-msgstr "Télécharger le fichier"
-
 msgid "An error occured during extraction (%s)."
 msgstr "Une erreur est survenue pendant l'extraction des fichiers (%s)."
@@ -1760,5 +1875,6 @@
 
 msgid "mail address must be like xxx@yyy.eee (example : jack@altern.org)"
-msgstr "L'adresse mail doit être de la forme xxx@yyy.eee (exemple : jack@altern.org)"
+msgstr ""
+"L'adresse mail doit être de la forme xxx@yyy.eee (exemple : jack@altern.org)"
 
 msgid "a user use already this mail address"
@@ -1828,6 +1944,10 @@
 msgstr "Réparer et optimiser la base de données"
 
-msgid "Replacement of original templates by customized templates from template-extension subfolder"
-msgstr "Remplacement des templates d'origine par vos templates adaptés du dossier template-extension"
+msgid ""
+"Replacement of original templates by customized templates from template-"
+"extension subfolder"
+msgstr ""
+"Remplacement des templates d'origine par vos templates adaptés du dossier "
+"template-extension"
 
 msgid "Replacers (customized templates)"
@@ -1986,5 +2106,6 @@
 
 msgid "Create a new site : (give its URL to create_listing_file.php)"
-msgstr "Créer un nouveau site distant : (donner son URL vers create_listing_file.php)"
+msgstr ""
+"Créer un nouveau site distant : (donner son URL vers create_listing_file.php)"
 
 msgid "created"
@@ -2096,6 +2217,10 @@
 msgstr "Préfixe des noms de table"
 
-msgid "database tables names will be prefixed with it (enables you to manage better your tables)"
-msgstr "le nom des tables apparaîtra avec ce préfixe (permet de mieux gérer sa base de données)"
+msgid ""
+"database tables names will be prefixed with it (enables you to manage better "
+"your tables)"
+msgstr ""
+"le nom des tables apparaîtra avec ce préfixe (permet de mieux gérer sa base "
+"de données)"
 
 msgid "Database configuration"
@@ -2121,5 +2246,6 @@
 
 msgid "Keep it confidential, it enables you to access administration panel"
-msgstr "Il doit rester confidentiel, il permet d'accéder au panneau d'administration."
+msgstr ""
+"Il doit rester confidentiel, il permet d'accéder au panneau d'administration."
 
 msgid "Admin configuration"
@@ -2147,6 +2273,18 @@
 msgstr "Valider"
 
-msgid "Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it's important to know and upgrade) and when major events happen to the project. Only a few emails a year."
-msgstr "Restez en contact avec le projet Piwigo, abonnez-vous à la newsletter. Vous recevrez un email lorsqu'une nouvelle version sera disponible (parfois un bug de sécurité est corrigé, il est important d'être au courant et de mettre à jour) ou qu'un événement majeur surviendra sur le projet. Seulement quelques messages par an."
+msgid ""
+"Keep in touch with Piwigo project, subscribe to Piwigo Announcement "
+"Newsletter. You will receive emails when a new release is available "
+"(sometimes including a security bug fix, it's important to know and upgrade) "
+"and when major events happen to the project. Only a few emails a year."
+msgstr ""
+"Restez en contact avec le projet Piwigo, abonnez-vous à la newsletter. Vous "
+"recevrez un email lorsqu'une nouvelle version sera disponible (parfois un "
+"bug de sécurité est corrigé, il est important d'être au courant et de mettre "
+"à jour) ou qu'un événement majeur surviendra sur le projet. Seulement "
+"quelques messages par an."
+
+msgid "Subscribe %s"
+msgstr "Abonner %s"
 
 msgid "Subscribe %s to Piwigo Announcements Newsletter"
@@ -2205,6 +2343,11 @@
 msgstr ""
 
-msgid "The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader."
-msgstr "Le flux RSS notifie les événements de la galerie : nouvelles images, catégories mises à jour, nouveaux commentaires utilisateur. À utiliser avec un lecteur de flux RSS."
+msgid ""
+"The RSS notification feed provides notification on news from this website : "
+"new pictures, updated categories, new comments. Use a RSS feed reader."
+msgstr ""
+"Le flux RSS notifie les événements de la galerie : nouvelles images, "
+"catégories mises à jour, nouveaux commentaires utilisateur. À utiliser avec "
+"un lecteur de flux RSS."
 
 msgid "Thumbnail"
@@ -2355,6 +2498,10 @@
 msgstr "Choisir une option"
 
-msgid "display maximum informations (added categories and elements, deleted categories and elements)"
-msgstr "afficher un maximum d'informations (catégories ajoutées, éléments ajoutés, catégories et éléments supprimés)"
+msgid ""
+"display maximum informations (added categories and elements, deleted "
+"categories and elements)"
+msgstr ""
+"afficher un maximum d'informations (catégories ajoutées, éléments ajoutés, "
+"catégories et éléments supprimés)"
 
 msgid "Error list"
@@ -2367,12 +2514,21 @@
 msgstr "La version Piwigo sur le site distant est differente"
 
-msgid "Version of create_listing_file.php on the remote site and Piwigo must be the same"
-msgstr "La version de create_listing_file.php sur le site distant et Piwigo doit être la même"
+msgid ""
+"Version of create_listing_file.php on the remote site and Piwigo must be the "
+"same"
+msgstr ""
+"La version de create_listing_file.php sur le site distant et Piwigo doit "
+"être la même"
 
 msgid "listing.xml file was not found"
 msgstr "le fichier listing.xml est introuvable"
 
-msgid "listing.xml file was not found on the remote site. This file is generated by choosing the \"generate listing\" command in the Site manager"
-msgstr "le fichier listing.xml est introuvable sur le site distant. Ce fichier est generé en choisissant la commande \"générer le listing\" dans le gestionnaire de sites"
+msgid ""
+"listing.xml file was not found on the remote site. This file is generated by "
+"choosing the \"generate listing\" command in the Site manager"
+msgstr ""
+"le fichier listing.xml est introuvable sur le site distant. Ce fichier est "
+"generé en choisissant la commande \"générer le listing\" dans le "
+"gestionnaire de sites"
 
 msgid "Update images informations"
@@ -2385,9 +2541,22 @@
 msgstr "Erreur d'ouverture fichier/répertoire"
 
-msgid "The file or directory cannot be accessed (either it does not exist or the access is denied)"
-msgstr "Le fichier ou répertoire ne peut pas être accessible (soit il n'existe pas, soit l'accès est refusé)"
-
-msgid "a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \"thumbnail\" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :"
-msgstr "Chaque fichier image requiert une miniature. La miniature doit être présente dans le sous-répertoire \"thumbnail\" du répertoire de la catégorie. Le nom du fichier de la miniature doit commencer avec le paramètre de configuration \"prefix_thumbnail\" et l'extension du nom du fichier doit être parmi la liste suivante :"
+msgid ""
+"The file or directory cannot be accessed (either it does not exist or the "
+"access is denied)"
+msgstr ""
+"Le fichier ou répertoire ne peut pas être accessible (soit il n'existe pas, "
+"soit l'accès est refusé)"
+
+msgid ""
+"a picture filetype requires a thumbnail. The thumbnail must be present in "
+"the sub-directory \"thumbnail\" of the category directory. The thumbnail "
+"filename must start with the configured thumbnail prefix and the extension "
+"must be among the following list :"
+msgstr ""
+"Chaque fichier image requiert une miniature. La miniature doit être présente "
+"dans le sous-répertoire \"thumbnail\" du répertoire de la catégorie. Le nom "
+"du fichier de la miniature doit commencer avec le paramètre de configuration "
+"\"prefix_thumbnail\" et l'extension du nom du fichier doit être parmi la "
+"liste suivante :"
 
 msgid "missing thumbnail"
@@ -2431,5 +2600,7 @@
 
 msgid "only perform a simulation (no change in database will be made)"
-msgstr "Simuler uniquement (aucun changement dans la base de données ne sera effectué)"
+msgstr ""
+"Simuler uniquement (aucun changement dans la base de données ne sera "
+"effectué)"
 
 msgid "[Simulation]"
@@ -2446,5 +2617,7 @@
 
 msgid "synchronize files metadata with database elements informations"
-msgstr "synchroniser les informations des éléments dans la base de données à partir des méta-données des fichiers"
+msgstr ""
+"synchroniser les informations des éléments dans la base de données à partir "
+"des méta-données des fichiers"
 
 msgid "even already synchronized elements"
@@ -2457,6 +2630,10 @@
 msgstr "mauvais nom de répertoire"
 
-msgid "The name of directories and files must be composed of letters, numbers, \"-\", \"_\" or \".\""
-msgstr "Le nom des répertoires et des fichiers ne doit être constitué que de lettres, de chiffres, de \"-\", \"_\" et \".\""
+msgid ""
+"The name of directories and files must be composed of letters, numbers, \"-"
+"\", \"_\" or \".\""
+msgstr ""
+"Le nom des répertoires et des fichiers ne doit être constitué que de "
+"lettres, de chiffres, de \"-\", \"_\" et \".\""
 
 msgid "Upgrade"
@@ -2467,5 +2644,7 @@
 
 msgid "Only administrator can run upgrade: please sign in below."
-msgstr "Seul un administrateur peut lancer la mise à jour: veuillez vous identifier ci-dessous."
+msgstr ""
+"Seul un administrateur peut lancer la mise à jour: veuillez vous identifier "
+"ci-dessous."
 
 msgid "the filesize of the picture must not exceed : "
@@ -2502,9 +2681,15 @@
 msgstr "Ajouter une image"
 
-msgid "Picture uploaded with success, an administrator will validate it as soon as possible"
-msgstr "Image ajoutée avec succès, un administrateur doit valider l'ajout pour le rendre visible"
+msgid ""
+"Picture uploaded with success, an administrator will validate it as soon as "
+"possible"
+msgstr ""
+"Image ajoutée avec succès, un administrateur doit valider l'ajout pour le "
+"rendre visible"
 
 msgid "Use the default image sort order (defined in the configuration file)"
-msgstr "Utiliser l'ordre de tri des images par défaut (défini dans le fichier de configuration)"
+msgstr ""
+"Utiliser l'ordre de tri des images par défaut (défini dans le fichier de "
+"configuration)"
 
 msgid "useful when password forgotten"
@@ -2623,5 +2808,7 @@
 
 msgid "You are running on development sources, no check possible."
-msgstr "Vous travaillez avec les sources de développement, impossible de vérifier la dernière version."
+msgstr ""
+"Vous travaillez avec les sources de développement, impossible de vérifier la "
+"dernière version."
 
 msgid "You are running the latest version of Piwigo."
@@ -2632,11 +2819,15 @@
 
 msgid "You cannot move a category in its own sub category"
-msgstr "Vous ne pouvez pas déplacer une catégorie dans sa propre sous-catégorie"
+msgstr ""
+"Vous ne pouvez pas déplacer une catégorie dans sa propre sous-catégorie"
 
 msgid "You do not have access rights to run upgrade"
 msgstr "Vous n'avez pas les droits necessaires pour lancer la mise à jour."
 
-msgid "You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."
-msgstr "Vous devez contacter votre hébergeur afin de savoir comment configurer PHP 5."
+msgid ""
+"You may referer to your hosting provider's support and see how you could "
+"switch to PHP 5 by yourself."
+msgstr ""
+"Vous devez contacter votre hébergeur afin de savoir comment configurer PHP 5."
 
 msgid "You need to confirm deletion"