Index: /trunk/language/de_DE/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/de_DE/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/de_DE/LC_MESSAGES/messages.po	(revision 5037)
@@ -386,11 +386,11 @@
 msgstr "Wählen Sie ein Bild"
 
-msgid "Monthly calendar"
+msgid "chronology_monthly_calendar"
 msgstr "Monatskalender"
 
-msgid "Monthly list"
+msgid "chronology_monthly_list"
 msgstr "Monatliche Liste"
 
-msgid "Weekly list"
+msgid "chronology_weekly_list"
 msgstr "Wöchentlichen Liste"
 
Index: /trunk/language/en_UK/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/en_UK/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/en_UK/LC_MESSAGES/messages.po	(revision 5037)
@@ -23,20 +23,20 @@
 
 msgid "ACCESS_0"
-msgstr ""
+msgstr "Free access"
 
 msgid "ACCESS_1"
-msgstr ""
+msgstr "Access to all"
 
 msgid "ACCESS_2"
-msgstr ""
+msgstr "Access to subscribed"
 
 msgid "ACCESS_3"
-msgstr ""
+msgstr "Access to administrators"
 
 msgid "ACCESS_4"
-msgstr ""
+msgstr "Access to webmasters"
 
 msgid "ACCESS_5"
-msgstr ""
+msgstr "No access"
 
 msgid "You are not authorized to access the requested page"
@@ -380,12 +380,12 @@
 msgstr ""
 
-msgid "Monthly calendar"
-msgstr ""
-
-msgid "Monthly list"
-msgstr ""
-
-msgid "Weekly list"
-msgstr ""
+msgid "chronology_monthly_calendar"
+msgstr "Monthly calendar"
+
+msgid "chronology_monthly_list"
+msgstr "Monthly list"
+
+msgid "chronology_weekly_list"
+msgstr "Weekly list"
 
 msgid "Click here if your browser does not automatically forward you"
@@ -1070,17 +1070,17 @@
 
 msgid "Level 0"
-msgstr ""
+msgstr "---"
 
 msgid "Level 1"
-msgstr ""
+msgstr "Contacts"
 
 msgid "Level 2"
-msgstr ""
+msgstr "Friends"
 
 msgid "Level 4"
-msgstr ""
+msgstr "Family"
 
 msgid "Level 8"
-msgstr ""
+msgstr "Admins"
 
 msgid "Link all category elements to a new category"
Index: /trunk/language/es_ES/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/es_ES/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/es_ES/LC_MESSAGES/messages.po	(revision 5037)
@@ -394,11 +394,11 @@
 msgstr "Elegir una imagen"
 
-msgid "Monthly calendar"
+msgid "chronology_monthly_calendar"
 msgstr "Calendario mensual"
 
-msgid "Monthly list"
+msgid "chronology_monthly_list"
 msgstr "Lista mensual"
 
-msgid "Weekly list"
+msgid "chronology_weekly_list"
 msgstr "Lista semanal"
 
Index: /trunk/language/fr_FR/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/fr_FR/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/fr_FR/LC_MESSAGES/messages.po	(revision 5037)
@@ -392,11 +392,11 @@
 msgstr "Choisir une image à ajouter"
 
-msgid "Monthly calendar"
+msgid "chronology_monthly_calendar"
 msgstr "Calendrier mensuel"
 
-msgid "Monthly list"
+msgid "chronology_monthly_list"
 msgstr "Liste mensuelle"
 
-msgid "Weekly list"
+msgid "chronology_weekly_list"
 msgstr "Liste hebdomadaire"
 
@@ -1324,6 +1324,10 @@
 "Execution time is out, treatment must be continue [Estmated time: %d "
 "seconds]."
-msgstr[0] "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d second]."
-msgstr[1] "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d secondes]."
+msgstr[0] ""
+"Le temps d'exécution étant dépassé, le traitement doit continuer [Temps "
+"estimé: %d second]."
+msgstr[1] ""
+"Le temps d'exécution étant dépassé, le traitement doit continuer [Temps "
+"estimé: %d secondes]."
 
 msgid "%d parameter was updated."
Index: /trunk/language/it_IT/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/it_IT/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/it_IT/LC_MESSAGES/messages.po	(revision 5037)
@@ -393,11 +393,11 @@
 msgstr "Scegliere un immagine da aggiungere"
 
-msgid "Monthly calendar"
+msgid "chronology_monthly_calendar"
 msgstr "Calendario mensile"
 
-msgid "Monthly list"
+msgid "chronology_monthly_list"
 msgstr "Lista mensile"
 
-msgid "Weekly list"
+msgid "chronology_weekly_list"
 msgstr "Lista settimanale"
 
Index: /trunk/language/nl_NL/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/nl_NL/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/nl_NL/LC_MESSAGES/messages.po	(revision 5037)
@@ -386,11 +386,11 @@
 msgstr "Kies een afbeelding om"
 
-msgid "Monthly calendar"
+msgid "chronology_monthly_calendar"
 msgstr "Maand kalender"
 
-msgid "Monthly list"
+msgid "chronology_monthly_list"
 msgstr "Maand lijst"
 
-msgid "Weekly list"
+msgid "chronology_weekly_list"
 msgstr "Week lijst"
 
Index: /trunk/language/pl_PL/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/pl_PL/LC_MESSAGES/messages.po	(revision 5036)
+++ /trunk/language/pl_PL/LC_MESSAGES/messages.po	(revision 5037)
@@ -386,11 +386,11 @@
 msgstr "Wybierz obraz"
 
-msgid "Monthly calendar"
+msgid "chronology_monthly_calendar"
 msgstr "Kalendarz miesięczny"
 
-msgid "Monthly list"
+msgid "chronology_monthly_list"
 msgstr "Lista miesięczna"
 
-msgid "Weekly list"
+msgid "chronology_weekly_list"
 msgstr "Lista tygodniowa"
 
Index: /trunk/language/templates/messages.pot
===================================================================
--- /trunk/language/templates/messages.pot	(revision 5036)
+++ /trunk/language/templates/messages.pot	(revision 5037)
@@ -376,11 +376,11 @@
 msgstr ""
 
-msgid "Monthly calendar"
-msgstr ""
-
-msgid "Monthly list"
-msgstr ""
-
-msgid "Weekly list"
+msgid "chronology_monthly_calendar"
+msgstr ""
+
+msgid "chronology_monthly_list"
+msgstr ""
+
+msgid "chronology_weekly_list"
 msgstr ""
 