Index: /trunk/admin/plugins_update.php
===================================================================
--- /trunk/admin/plugins_update.php	(revision 5038)
+++ /trunk/admin/plugins_update.php	(revision 5039)
@@ -88,5 +88,5 @@
       array_push($page['errors'],
         sprintf(l10n('An error occured during extraction (%s).'), $_GET['upgradestatus']),
-        l10n('Please check \"plugins\" folder and sub-folders permissions (CHMOD).'));
+        l10n('Please check "plugins" folder and sub-folders permissions (CHMOD).'));
   }  
 }
Index: /trunk/admin/template/goto/plugins_update.tpl
===================================================================
--- /trunk/admin/template/goto/plugins_update.tpl	(revision 5038)
+++ /trunk/admin/template/goto/plugins_update.tpl	(revision 5039)
@@ -32,5 +32,5 @@
     <td style="text-align:center;">{$plugin.VERSION}</td>
     <td style="text-align:center;"><a href="{$plugin.EXT_URL}" onclick="window.open(this.href); return false;" class="cluetip" title="{$plugin.EXT_NAME}|{$plugin.NEW_VER_DESC|htmlspecialchars|nl2br}">{$plugin.NEW_VERSION}</a></td>
-    <td style="text-align:center;"><a href="{$plugin.URL_UPDATE}" onclick="return confirm('{'Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'|@translate|@escape:javascript}');">{'plugins_auto_update'|@translate}</a>
+    <td style="text-align:center;"><a href="{$plugin.URL_UPDATE}" onclick="return confirm('{'Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'|@translate|@escape:javascript}');">{'Automatic upgrade'|@translate}</a>
       / <a href="{$plugin.URL_DOWNLOAD}">{'Download file'|@translate}</a></td>
   </tr>
Index: /trunk/language/de_DE/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/de_DE/LC_MESSAGES/messages.po	(revision 5038)
+++ /trunk/language/de_DE/LC_MESSAGES/messages.po	(revision 5039)
@@ -136,4 +136,15 @@
 msgstr "Sind Sie sicher?"
 
+msgid "Are you sure you want to delete this plugin?"
+msgstr "Sind Sie sicher dass Sie dieses Plugin löschen möchten?"
+
+msgid "Are you sure you want to install this plugin?"
+msgstr "Sind Sie sicher dass Sie dieses Plugin installieren möchten?"
+
+msgid ""
+"Are you sure to install this upgrade? You must verify if this version does "
+"not need uninstallation."
+msgstr "Sind Sie sicher dass Sie dieses Plugin installieren möchten? Stellen sicher, dass die vorhergehende Version nicht deinstalliert werden muss."
+
 msgid "ascending"
 msgstr "wachsende"
@@ -1322,6 +1333,10 @@
 "Execution time is out, treatment must be continue [Estmated time: %d "
 "seconds]."
-msgstr[0] "Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden [Verstrichene Zeit: %d Sekunde]."
-msgstr[1] "Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden [Verstrichene Zeit: %d Sekunden]."
+msgstr[0] ""
+"Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden "
+"[Verstrichene Zeit: %d Sekunde]."
+msgstr[1] ""
+"Ausführungszeit ist beendet, Vorgang muss manuell fortgesetzt werden "
+"[Verstrichene Zeit: %d Sekunden]."
 
 msgid "%d parameter was updated."
@@ -1429,5 +1444,7 @@
 msgstr "Parameter"
 
-msgid "Processing treatment.\nPlease wait..."
+msgid ""
+"Processing treatment.\n"
+"Please wait..."
 msgstr ""
 "Processing treatment.\n"
Index: /trunk/language/es_ES/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/es_ES/LC_MESSAGES/messages.po	(revision 5038)
+++ /trunk/language/es_ES/LC_MESSAGES/messages.po	(revision 5039)
@@ -137,4 +137,15 @@
 msgstr "¿ Seguro?"
 
+msgid "Are you sure you want to delete this plugin?"
+msgstr "¿ Es seguro de querer suprimir este plugin?"
+
+msgid "Are you sure you want to install this plugin?"
+msgstr "¿ Es seguro de querer instalar este plugin?"
+
+msgid ""
+"Are you sure to install this upgrade? You must verify if this version does "
+"not need uninstallation."
+msgstr "¿ Es sobre querer instalar esta postura al día? Usted debe verifique que esta postura al día no necesita de désinstalación."
+
 msgid "ascending"
 msgstr "ascendiente"
@@ -1330,6 +1341,10 @@
 "Execution time is out, treatment must be continue [Estmated time: %d "
 "seconds]."
-msgstr[0] "Ser sobrepasado el tiempo de ejecución, el tratamiento debe continuar [el Tiempo estimado: %d el segundo]."
-msgstr[1] "Ser sobrepasado el tiempo de ejecución, el tratamiento debe continuar [el Tiempo estimado: %d secundas]."
+msgstr[0] ""
+"Ser sobrepasado el tiempo de ejecución, el tratamiento debe continuar [el "
+"Tiempo estimado: %d el segundo]."
+msgstr[1] ""
+"Ser sobrepasado el tiempo de ejecución, el tratamiento debe continuar [el "
+"Tiempo estimado: %d secundas]."
 
 msgid "%d parameter was updated."
@@ -1439,5 +1454,5 @@
 msgid "Processing treatment.\nPlease wait..."
 msgstr ""
-"Tratamiento corriente.\n"
+"Tratamiento corriente."
 "Por favor, espere..."
 
Index: /trunk/language/fr_FR/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/fr_FR/LC_MESSAGES/messages.po	(revision 5038)
+++ /trunk/language/fr_FR/LC_MESSAGES/messages.po	(revision 5039)
@@ -14,5 +14,5 @@
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"Plural-Forms: nplurals=2; plural=(n > 1);\n"
 
 msgid "About"
@@ -135,4 +135,15 @@
 msgid "Are you sure?"
 msgstr "Etes-vous sur?"
+
+msgid "Are you sure you want to delete this plugin?"
+msgstr "Etes-vous sûr de vouloir supprimer ce plugin?"
+
+msgid "Are you sure you want to install this plugin?"
+msgstr "Etes-vous sûr de vouloir installer ce plugin?"
+
+msgid ""
+"Are you sure to install this upgrade? You must verify if this version does "
+"not need uninstallation."
+msgstr "Etes-vous sur de vouloir installer cette mise à jour? Vous devez vérifiez que cette mise à jour ne nécessite pas de désinstallation."
 
 msgid "ascending"
Index: /trunk/language/it_IT/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/it_IT/LC_MESSAGES/messages.po	(revision 5038)
+++ /trunk/language/it_IT/LC_MESSAGES/messages.po	(revision 5039)
@@ -136,4 +136,15 @@
 msgstr "Sei sicuro?"
 
+msgid "Are you sure you want to delete this plugin?"
+msgstr "Siete sicuri di volere cancellare questo plugin?"
+
+msgid "Are you sure you want to install this plugin?"
+msgstr "Siete sicuri di volere installare questo plugin?"
+
+msgid ""
+"Are you sure to install this upgrade? You must verify if this version does "
+"not need uninstallation."
+msgstr "Siete sicuri di volere installare questo aggiornamento? Dovete verificare che questo aggiornamento non necessiti una disinstallazione."
+
 msgid "ascending"
 msgstr "ascendente"
@@ -1320,6 +1331,10 @@
 "Execution time is out, treatment must be continue [Estmated time: %d "
 "seconds]."
-msgstr[0] "Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondo]."
-msgstr[1] "Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo stimato: %d secondi]."
+msgstr[0] ""
+"Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo "
+"stimato: %d secondo]."
+msgstr[1] ""
+"Il tempo di esecuzione è scaduto, il trattamento deve continuare [Tempo "
+"stimato: %d secondi]."
 
 msgid "%d parameter was updated."
@@ -1426,5 +1441,7 @@
 msgstr "Parametri"
 
-msgid "Processing treatment.\nPlease wait..."
+msgid ""
+"Processing treatment.\n"
+"Please wait..."
 msgstr ""
 "Trattamento in corso.\n"
Index: /trunk/language/nl_NL/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/nl_NL/LC_MESSAGES/messages.po	(revision 5038)
+++ /trunk/language/nl_NL/LC_MESSAGES/messages.po	(revision 5039)
@@ -136,4 +136,15 @@
 msgstr "Weet je het zeker?"
 
+msgid "Are you sure you want to delete this plugin?"
+msgstr "Weet U het zeker dat u deze plugin wilt verwijderen?"
+
+msgid "Are you sure you want to install this plugin?"
+msgstr "Weet U het zeker dat u deze plugin wilt installeren?"
+
+msgid ""
+"Are you sure to install this upgrade? You must verify if this version does "
+"not need uninstallation."
+msgstr "Weet U het zeker dat u deze plugin wilt bijwerken? Je moet controleren of deze versie niet gedeinstaleerd moet worden."
+
 msgid "ascending"
 msgstr "ascending"
@@ -1312,6 +1323,10 @@
 "Execution time is out, treatment must be continue [Estmated time: %d "
 "seconds]."
-msgstr[0] "Executie tijd is om, treatment moet verder gaan [Verwachte tijd: %d seconden]."
-msgstr[1] "Executie tijd is om, treatment moet verder gaan [Verwachte tijd: %d seconden]."
+msgstr[0] ""
+"Executie tijd is om, treatment moet verder gaan [Verwachte tijd: %d "
+"seconden]."
+msgstr[1] ""
+"Executie tijd is om, treatment moet verder gaan [Verwachte tijd: %d "
+"seconden]."
 
 msgid "%d parameter was updated."
@@ -1412,5 +1427,7 @@
 msgstr "Parameter"
 
-msgid "Processing treatment.\nPlease wait..."
+msgid ""
+"Processing treatment.\n"
+"Please wait..."
 msgstr ""
 "Bezig met voltooien van de bewerking.\n"
Index: /trunk/language/pl_PL/LC_MESSAGES/messages.po
===================================================================
--- /trunk/language/pl_PL/LC_MESSAGES/messages.po	(revision 5038)
+++ /trunk/language/pl_PL/LC_MESSAGES/messages.po	(revision 5039)
@@ -134,4 +134,15 @@
 msgstr "Jesteś pewien?"
 
+msgid "Are you sure you want to delete this plugin?"
+msgstr "Czy na pewno chcesz usunąć tę wtyczkę?"
+
+msgid "Are you sure you want to install this plugin?"
+msgstr "Czy na pewno chcesz zainstalować tę wtyczkę?"
+
+msgid ""
+"Are you sure to install this upgrade? You must verify if this version does "
+"not need uninstallation."
+msgstr "Czy na pewno chcesz zainstalować aktualizację? Musisz zweryfikować czy aktualna wersja nie wymaga odinstalowania."
+
 msgid "ascending"
 msgstr "rosnąco"
@@ -1313,6 +1324,10 @@
 "Execution time is out, treatment must be continue [Estmated time: %d "
 "seconds]."
-msgstr[0] "Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund]."
-msgstr[1] "Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d sekund]."
+msgstr[0] ""
+"Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d "
+"sekund]."
+msgstr[1] ""
+"Czas wykonania minął, proces musi być kontynuowany [Szacowany czas: %d "
+"sekund]."
 
 msgid "%d parameter was updated."
@@ -1413,5 +1428,7 @@
 msgstr "Parametr"
 
-msgid "Processing treatment.\nPlease wait..."
+msgid ""
+"Processing treatment.\n"
+"Please wait..."
 msgstr ""
 "Procesowanie.\n"
Index: /trunk/language/templates/messages.pot
===================================================================
--- /trunk/language/templates/messages.pot	(revision 5038)
+++ /trunk/language/templates/messages.pot	(revision 5039)
@@ -134,4 +134,13 @@
 msgstr ""
 
+msgid "Are you sure you want to delete this plugin?"
+msgstr ""
+
+msgid "Are you sure you want to install this plugin?"
+msgstr ""
+
+msgid "Are you sure to install this upgrade? You must verify if this version does not need uninstallation."
+msgstr ""
+
 msgid "ascending"
 msgstr ""
@@ -1348,5 +1357,5 @@
 msgstr ""
 
-msgid "Processing treatment.Please wait..."
+msgid "Processing treatment.\nPlease wait..."
 msgstr ""
 